Link customer to loan

This request links a customer to a loan.

   Click here to learn more about this request

Loans and customers are "linked" when they become associated with each other. Note the following when linking customers to loans:

This request is sent through the Loans endpoint. Thus, the Customers object is included in the payload.

Both loans and customers can be created without being associated to each other.

It's possible link multiple customers to a loan in a single request.

Many users tend to want to simultaneously link a customer when they create a new loan within one request. When doing so, it's necessary to create a new customer first. Here's why:

When a new loan is created and linked to a customer all within the same request, it is sent through the Loans endpoint. Therefore, a valid customer ID is needed since a customer can't be created through the Loans endpoint.

For information on how to simultaneously link a customer while creating a new loan, seePOST create loan.

And for an example of how linking works within the UI, read our Link a Customer to a Loan article.

Database

For information regarding loans and customers database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Loan Setup (loan_setup_entity)

Database – Loan Status Entity (loan_status_entity)

Database – Customer Main Table (customer_entity)

{
    "Customers": {
        "results": [
            {
                "__id": 873,
                "__setLoanRole": "loan.customerRole.primary"
            }
        ]
    }
}
Path Params
int32
required

The ID of the loan.

Body Params
Customers
object
required

This object holds customer information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json